alert('Сейчас мы посчитаем Ваше нормальное артериальное давление!')

let age; 

do {
    age = prompt('Сколько Вам лет?');
} while(age == null || age == '')


let normalPressureMax = Math.round(102 + 0.6 * age)
let normalPressureMin = Math.round(63 + 0.5 * age)

alert('Ваше нормальное артериальное давление: ' + normalPressureMax + ' на ' + normalPressureMin + '. А теперь можете перейти к авторизации!')

const login = document.getElementById('login-input')
const password = document.getElementById('password-input')
const form = document.getElementById('form')
const formWrapper = document.querySelector('.form-wrapper')

const loginError = document.getElementById('login-error')
const passwordError = document.getElementById('password-error')

const error = document.createElement('div')
error.classList.add("error")
error.innerHTML = 'Access denied'
const success = document.createElement('success')
success.classList.add("success")
success.innerHTML = 'Success!'

let credentials = {
    login: 'admin',
    password: 'qwerty',
}


form.addEventListener('submit', (e) => {
  let messages = []
  if (login.value === '' || login.value == null) {
    loginError.style.display='block'
    e.preventDefault()
  } else if (login.value !== '' && login.value !== null) {
    loginError.style.display='none'
  }

  if (password.value === '' || password.value == null) {
    passwordError.style.display='block'
    e.preventDefault()
  } else if (password.value !== '' && password.value !== null) {
    passwordError.style.display='none'
  } 

  if (login.value === credentials.login && password.value === credentials.password) {
    e.preventDefault()
    formWrapper.appendChild(success)
      if (document.querySelector('.error') !== null) {
          formWrapper.removeChild(error)
      }
   
  } else {
    e.preventDefault()
    formWrapper.appendChild(error)
    if (document.querySelector('.success') !== null) {
          formWrapper.removeChild(success)
      }
    
  }
})